---
title: "Ubuntu: Как обновить ядро"
category: ubuntu-lifehacks
filename: ubuntu-how-to-upgrade-kernel
date: 2022-05-14
---
В этой статье описывается, как обновить ядро Linux в операционной системе Ubuntu через интерфейс командной строки.
<!--more-->
### Первый способ
Первый способ очень прост. Нам нужно ввести в терминале всего одну команду:
```bash
sudo apt update && sudo apt -y upgrade
```
Команда `sudo apt update` обновит кэш репозиториев, а команда `sudo apt -y upgrade` установит новые версии всех установленных программ, включая ядро linux. Плюс данного способа в том, что будет установлена последняя версия linux ядра, <i>официально поддерживаемого</i> ОС Ubuntu. Минус этого способа в том, что <i>официально поддерживаемое</i> ядро обычно не самое новое. Иногда бывает так, что необходимо установить именно самую новую версию ядра linux. Реальный пример: на вашем новом ноутбуке может быть установлен процессор, поддержка которого обеспечивается только в версии ядра linux 5.12, тогда как официально поддерживаемая версия более старая. И тут на помощь приходит второй способ.
### Второй способ
Первым делом нужно зайти на сайт https://kernel.ubuntu.com/~kernel-ppa/mainline/. На этом сайте нужно выбрать папку с последней версией ядра linux (в самом низу страницы). Обратите внимание, что рекомендуется выбирать версию без суффикса "rc". Суффикс "rc" означает "release candidate", что в свою очередь значит, что данная версия ядра не является стабильной. На открывшейся странице выбираем папку с архитектурой вашего процессора. Архитектуру можно узнать с помощью команды `uname -p`. Если вывод этой команды "x86_64", то выбираем папку amd64. На открывшейся странице будут ссылки на .deb файлы. Нам нужно скачать 4 из них:
```
linux-headers-{version}-generic_{version}.{date}_amd64.deb
linux-headers-{version}_{version}.{date}_all.deb
linux-image-unsigned-{version}-generic_{version}.{date}_amd64.deb
linux-modules-{version}-generic_{version}.{date}_amd64.deb
```
После того, как вы скачали файлы, их нужно установить с помощью команды:
```bash
sudo apt install -y ~/Downloads/linux-*.deb
```
Установка будет длиться 1-5 минут. После перезагрузки компьютера будет загружена установленная версия ядра.